aboutsummaryrefslogtreecommitdiffstats
path: root/packages/initscripts/initscripts-1.0/checkroot.sh
diff options
context:
space:
mode:
authorPhil Blundell <philb@gnu.org>2007-01-28 16:45:45 +0000
committerPhil Blundell <philb@gnu.org>2007-01-28 16:45:45 +0000
commit8f5f3f87a526b585717f3064a8db5a2e6ae849ec (patch)
treeca2bb84a1e97666a3bf32a31c5262b1e5ef727bc /packages/initscripts/initscripts-1.0/checkroot.sh
parentc3189e96dadbfcbf162cc3b23ea4c1d53ab2f8d4 (diff)
downloadopenembedded-8f5f3f87a526b585717f3064a8db5a2e6ae849ec.tar.gz
initscripts: tweak mtab reading in checkroot.sh so that r/w ramdisk
works on epia
Diffstat (limited to 'packages/initscripts/initscripts-1.0/checkroot.sh')
-rwxr-xr-xpackages/initscripts/initscripts-1.0/checkroot.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/packages/initscripts/initscripts-1.0/checkroot.sh b/packages/initscripts/initscripts-1.0/checkroot.sh
index cb0a940c7d..8a02aa7b58 100755
--- a/packages/initscripts/initscripts-1.0/checkroot.sh
+++ b/packages/initscripts/initscripts-1.0/checkroot.sh
@@ -189,16 +189,15 @@ fi
# and finally write the new mtab.
# This part is only needed if the rootfs was mounted ro.
#
-if [ $(grep rootfs /proc/mounts | awk '{print $4}') = rw ]; then
- exit 0
+ROOTFSDEV="/dev/root"
+if ! grep -q "^$ROOTFSDEV\w" /proc/mounts; then
+ ROOTFSDEV="rootfs"
fi
-
-# Add a second check, which seems to be needed for some kernel versions
-if [ $(grep "/dev/root" /proc/mounts | awk '{print $4}') = rw ]; then
- exit 0
+if [ $(grep "^$ROOTFSDEV\w" /proc/mounts | awk '{print $4}') = rw ]; then
+ echo "Root filesystem already read-write, not remounting"
+ exit 0
fi
-
echo "Remounting root file system..."
mount -n -o remount,$rootmode /
if test "$rootmode" = rw